// Squawk messenger. 
// Copyright (C) 2019  Yury Gubich <blue@macaw.me>
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include "clientid.h"

Shared::ClientId::ClientId():
    node(),
    verification(),
    hash()
{}

QString Shared::ClientId::getId() const {
    return node + "/" + verification;
}

QDataStream & Shared::ClientId::operator<<(QDataStream& stream) {
    stream >> node;
    stream >> verification;
    stream >> hash;
    return stream;
}

QDataStream & Shared::ClientId::operator>>(QDataStream& stream) const {
    stream << node;
    stream << verification;
    stream << hash;
    return stream;
}

QDataStream & operator<<(QDataStream& stream, const Shared::ClientId& info) {
    info >> stream;
    return stream;
}

QDataStream & operator>>(QDataStream& stream, Shared::ClientId& info) {
    info << stream;
    return stream;
}

